Forum Stats

  • 3,732,979 Users
  • 2,246,665 Discussions
  • 7,856,453 Comments

Discussions

Not able to configure reporsitory and create a project in Oracle SQL Developer 19.1 Data Mining opti

User_LR2NA
User_LR2NA Member Posts: 1 Employee

While configuring Oracle SQL Developer 19.1 and Oracle 18c for data Mining I am facing a small difficulty which stopping me from making further progress.

After adding dmuser(I have set dmuser correctly as per instructions in manual) and right click to create project. I will be getting below screen to log in with SYS user

[This database does not have the Data Miner repository installed.

Would you like to install the repository?

You will be prompted to authenticate as a database administrator to perform this task.]

When I click on Yes then It will ask for keying SYS password. When I provide correct password for SYS user

ORA-01017: invalid username/password; logon denied

I am not sure in spite of giving correct user why it is showing invalid username. I need some guidance on this how to proceed or if I am making any mistake.

Answers

  • YuriAP
    YuriAP Member Posts: 28 Blue Ribbon

    Have the same issue, although I do not have SYS password for my ADW database, I tried to specify ADMIN/<MYADMINPASSWORD> and got the same ORA-01017.

    Besides that, I tried to install Data Mining repo on my local 19c database using SQL Developer 20.2, in this case, it accepted SYS password but showed an error message that my database does not have Text and XMLDB installed. In fact, using some related instructions about checking the status of Text and XMLDB, I found both installed.

  • YuriAP
    YuriAP Member Posts: 28 Blue Ribbon

    Invoking installation from the command line on behalf ADMIN database user

    SQL> @installodmr data temp

    produces the following error

    ORA-20000: Oracle XMLDB feature required by Data Miner is not installed. 

        Please install the Oracle XMLDB feature, or see your database administrator for assistance.

    ORA-06512: at line 35

    Indeed, the script checks


    DECLARE

     CURSOR c_comps IS

      SELECT COMP_ID, STATUS FROM DBA_REGISTRY WHERE COMP_ID IN ('XDB','CONTEXT');

     v_comp  DBA_REGISTRY.COMP_ID%TYPE := '';

     v_status DBA_REGISTRY.STATUS%TYPE := '';

     v_xdb   BOOLEAN := FALSE;

     v_text   BOOLEAN := FALSE;

    BEGIN

     OPEN c_comps;

     LOOP

     FETCH c_comps INTO v_comp, v_status;

     EXIT WHEN c_comps%NOTFOUND;

      IF( v_comp = 'XDB' AND v_status = 'VALID') THEN

       v_xdb := TRUE;

      ELSIF ( v_comp = 'CONTEXT' AND v_status = 'VALID') THEN

       v_text := TRUE;

      END IF;

     END LOOP;


    My ADW shows "CONTEXT" only

  • YuriAP
    YuriAP Member Posts: 28 Blue Ribbon

    My local database has STATUS='UPGRADED' for the 'XDB' and 'CONTEXT', so after changing sqldeveloper/dataminer/scripts/checkEnvironment.sql correspondently, the repository has been installed (from the command line) and seems intact, at least I can create a new project in the Data Miner window and go forward exploring.

Sign In or Register to comment.